script – How to check OP_CHECKLOCKTIMEVERIFY?

0
20


I try to simply get into the OP_CHECKLOCKTIMEVERIFY opcode and test it. However I get the error

error: Locktime requirement not satisfied

no matter what unix- or blocktime I enter in my btcdeb. I wanted to check out another debugger, but for example the bitcoin IDE does not even know OP_CHECKLOCKTIMEVERIFY

Can’t I just run btcdeb '[<blocksometimeago> OP_CHECKLOCKTIMEVERIFY]'? I mean I know the the error should appear as long as the block- or unixtime isn’t reached yet but even if I enter a block from years ago, I get the same error.

THANKS for your help in advance!

Edit: I JUST want to run the verification command, nothing else (no pubkey etc)!



Source link

Leave a reply